=== Deluge 1.1.9 - (15 June 2009) ===
==== Core ====
  * Only move a torrent due to 'move on complete' when some data has been downloaded
  * Update libtorrent for CVE-2009-1760

==== GtkUI ====
  * Fix #950 renaming a parent folder into multiple folders

==== WebUI ====
  * Fix remote torrent add

=== Deluge 1.1.8 - (21 May 2009) ===
==== Core ====
  * Fix pause all/resume all
  * Torrent name is now changed when the root folder or file is renamed

==== GtkUI ====
  * Fix high cpu usage when displaying speeds in titlebar
  * Fix showing non-utf8 encoded torrents in add torrent dialog -- this adds
    an additional dependency on chardet.
  * Fix exception when timing out trying to send notification email
  * Set some sane defaults for peers/file tabs column widths

==== WebUI ====
  * Fix starting when -l option is used

=== Deluge 1.1.7 - (25 April 2009) ===
==== Core ====
  * Fix issue where cannot resume torrent after doing a 'Pause All'
  * Add workaround for 'address_v4 from unsigned long' bug experienced by users
    with 64-bit machines.  This bug is fixed in libtorrent 0.14.3.

==== GtkUI ====
  * Fix #883 segfault if locale is not using UTF-8 encoding
  * Fix for adding torrents with invalid filename encodings
  * Fix displaying IPv6 peers in the Peers tab
  * Fix starting the daemon in OS X
  * Fix loading improperly created torrents with mismatched encodings
  * Fix displaying improper progress when creating torrent

==== Windows ====
  * Fix freezing in create torrent dialog
  * Fix creating torrents in Windows
  * Fix free space check

=== Deluge 1.1.6 - (06 April 2009) ===
==== Core ====
  * Fix udp trackers being classified as DHT source
  * Fix #855 force a resume on a torrent if a 'Force Recheck' is initiated
  * Fix #862 deluged crash when access http://localhost:58846

==== GtkUI ====
  * Fix displaying torrents with non-utf8 encodings in add torrent dialog

==== WebUI ====
  * Fix #870 use proper config location for loading ssl cert

==== Misc ====
  * Add OpenSSL exception to license

=== Deluge 1.1.5 - (16 March 2009) ===
==== Core ====
  * Fix config file saving when no current config file exists

==== GtkUI ====
  * Add 'Comments' field to the Details tab
  * Fix #841 maximum upload slots tooltip

=== Deluge 1.1.4 - (08 March 2009) ===
==== Core ====
  * Fix displaying file errors when the torrent isn't paused
  * Fix issue where torrents being check would get removed due to "stop at ratio" rules
  * Fix #790 tracker hosts not correct for some .uk trackers
  * Make sure config files, resume data and state are fsync'd when saved.  This should help prevent data losses on crashes/improper shutdowns.

==== GtkUI ====
  * Fix hiding bottom pane when no tabs are enabled upon restart
  * Fix saving file priorities when switching torrents in the addtorrentdialog
  * Fix the allocate mode not being preserved when selecting different torrents in addtorrentdialog
  * Fix #655 issue where default torrent options wouldn't be set for new torrents added to the addtorrentdialog
  * Fix #817 email notifications fail to substitute format strings

==== Plugins ====
  * Label: Fix setting 'Move on completed' folder when connected to a remote daemon

=== Deluge 1.1.3 - (15 February 2009) ===
==== Core ====
  * Fix issue where checking queue would stop
  * Fix announcing to SSL trackers

==== Misc ====
  * Fix issue when initializing gettext that would prevent deluge from starting
  * Fix logging exceptions when starting the daemon
  * Fix displaying errors when a torrent is Checking
  * Fix #790 tracker hosts not correct for some 3rd-level domain names

=== Deluge 1.1.2 - (31 January 2009) ===
==== Core ====
  * Fix issue where torrents get stuck Checking

==== GtkUI ====
  * Fix #761 use proper theme colours in sidebar
  * Fix saving files/peers tab state when no column is sorted

=== Deluge 1.1.1 - (24 January 2009) ===
==== Core ====
  * Fix oldstateupgrader for those upgrading from 0.5.x
  * Fix setting Peer TOS byte
  * Fix setting outgoing ports

==== GtkUI ====
  * Fix opening links from Help menu and others
  * Fix remembering sorted column in the torrent list
  * Fix saving Files tab and Peers tab state
  * Disable popup notification in preferences on Windows
  * Fix crashing in Add Torrent Dialog when removing torrents from the list
  * Do not allow duplicate torrents in the Add Torrent Dialog
  * Fix translating speed units in status tab when a per-torrent limit is set
  * Fix torrents not displaying properly after disconnecting and reconnecting to the daemon
  * Fix when sorting # column, downloads should be on top

==== Misc ====
  * Fix bdecoding some torrent files
  * Fix the -l, --logfile option
  * Fix #729 tracker icons not being saved in the correct location
  * Add support for more tracker icons
  * Fix being able to connect to a local daemon from another user account

=== Deluge 1.1.0 - "Time gas!" (10 January 2009) ===
==== Core ====
  * Fix issue in get_tracker_host when the torrent has no tracker
  * Fix crash while trying to convert very old 0.5 config files

==== GtkUI ====
  * Fix translation setting in remove torrent dialog
  * Fix notification bug on startup for already finished torrents

==== AjaxUI ====
  * Fix loading on iPods.
  * Fix sorting on the name column.
  * Add "Not Implemented" alerts to some functions.
  * Improve the options tab on the Add Torrent dialog

==== ConsoleUI ====
  * Fix auto-complete feature for torrents.

==== Misc ====
  * Added '-s', '--set-default-ui' option to deluge

=== Deluge 1.1.0_RC3 (05 January 2009) ===
==== Core ====
  * Fix applying proxy settings
  * Fix the display of the tracker host when it's an IP address and not a hostname

==== GtkUI ====
  * Fix folder renaming to display the change properly
  * Fix seeding torrents from moving around when sorting the '#' column

==== Plugins ====
  * Label: Fix move on completed
  * Add 'Peer Guardian Text (GZip)' reader to the Blocklist plugin
  * Apply Blocklist preferences when clicking on the buttons

=== Deluge 1.1.0_RC2 (29 December 2008) ===
==== Core ====
  * Fix new version check
  * Fix issue that prevented torrents from being added

==== GtkUI ====
  * Fix tooltip for 'Show session speed in titlebar' option

==== Plugins ====
  * Remove Stats plugin since it wasn't intended to be in this release
  * Fix never-ending import in Blocklist on Windows

==== Windows ====
  * Fix double-click association on Windows
  * Fix Pidgin icon interference

=== Deluge 1.1.0_RC1 (23 December 2008) ===
==== Core ====
  * Implement #79 ability to change outgoing port range
  * Implement #296 ability to change peer TOS byte
  * Add per-torrent move on completed settings
  * Implement #414 use async save_resume_data method
  * Filter Manager with torrent filtering in get_torrents_status , for sidebar and plugins.
  * Implement #368 add torrents by infohash/magnet uri (trackerless torrents)
  * Remove remaining gtk functions in common
  * Tracker icons.
  * Add ETA for torrents with stop at seed ratio set
  * Fix #47 the state and config files are no longer invalidated when there is no diskspace
  * Fix #619 return "" instead of "Infinity" if seconds == 0 in ftime
  * Add -P, --pidfile option to deluged
  * Basic authentication for remote access to daemon, see: http://dev.deluge-torrent.org/wiki/Authentication

==== GtkUI ====
  * Add peer progress to the peers tab
  * Add ability to manually add peers
  * Sorting # column will place downloaders above seeds
  * Remove dependency on libtorrent for add torrent dialog
  * Allow adding multiple trackers at once in the edit tracker dialog
  * Implement #28 Create Torrent Dialog
  * Redesiged sidebar with filters for Active and Tracker (see Filter Manager)
  * Implement #428 the ability to rename files and directories
  * Implement #229 add date added column
  * Implement #596 show speeds in title
  * Fix #636 not setting the daemon's config directory when using --config= with the UI in classic mode.
  * Fix #624 do not allow changing file priorities when using compact allocation
  * Fix #602 re-did files/peers tab state saving/loading
  * Fix gtk warnings
  * Add protocol traffic statusbar item
  * Rework the Remove Torrent Dialog to only have 2 options, remove data and remove from session.
  * Add "Install Plugin" and "Rescan Plugins" buttons to the Plugins preferences
  * Make active port test use internal graphic instead of launching browser

==== Web UI ====
  * Lots of smaller tweaks.
  * All details tabs have the same features as in gtk-ui 1.0.x
  * Persistent sessions #486
  * Plugin improvements for easy use of templates and images in eggs. #497
  * Classic template takes over some style elements from white template.
  * https (for users that know how to create certificates)
  * Easier apache mod_proxy use.
  * Redesigned sidebar

==== AjaxUI ====
  * Hosted in a webui template.

==== ConsoleUI ====
  * New ConsoleUI written by Idoa01
  * Callable from command-line for scripts.

==== Plugins ====
  * Stats plugin for graphs.
  * Label plugin for grouping torrents and per torrent settings.

==== Misc ====
  * Implement #478 display UI options in usage help
  * Fix #547 add description to name field per HIG entry 2.1.1.1
  * Fix #531 set default log level to ERROR and add 2 command-line options, "-L, --loglevel" and "-q, --quiet".

=== Deluge 1.0.7 (10 December 2008) ===
==== GtkUI ====
  * Fix #636 not setting the daemon's config directory when using --config= with the UI in classic mode.
  * Fix some minor bugs in Connection Manager

==== Debian ====
  * Fix #571 notification-daemon-xfce dependency circle

==== Misc ====
  * Fix #547 add description to name field per HIG entry 2.1.1.1
  * libtorrent updates

==== Plugins ====
  * Point default blocklist url to our server and up interval to 4 days

=== Deluge 1.0.6 (01 December 2008) ===
==== Core ====
  * Fix #475 catch unicode decoding errors
  * Add an option to not include IP overhead in rate limiting (this is equivalent
    to how 0.5.x behaves)
  * Have default blocklist url point to our server

==== GtkUI ====
  * Display the proper downloaded value in the statistics tab

==== Windows ====
  * Fix broken graphic in new release dialog

=== Deluge 1.0.5 (09 November 2008) ===
==== GtkUI ====
  * Increase the per-torrent stop share ratio max to 99999.0
  * Fix #528 make sure gtkui config file is written before exiting
  * Fix UDP tracker support

==== Web UI ====
  * Javascript auto refresh for both templates.

==== Windows ====
  * Fix #577 adding torrents by drag n' drop
  * Fix association in Vista
  * Fix WebUI launch

==== Debian ====
  * SID packages now requires Boost 1.36

==== Ubuntu ====
  * Jaunty packages are now provided

=== Deluge 1.0.4 (31 October 2008) ===
==== Core ====
  * Fix #560 force an int value for global max connections
  * Fix #545 use proper values in ratio calculation
  * Fix UPnP again..

==== GtkUI ====
  * Fix #565 wait for the deluged process to start to prevent defunct processes

==== OS X ====
  * Fix issues with gettext

==== Windows ====
  * Fix starting on non-English versions of Windows

=== Deluge 1.0.3 (18 October 2008) ===
==== Core ====
  * Fix upnp - it should work on more routers now too
  * Fix issue where Deluge would send improper stats to the tracker after a
    pause/resume.
  * Fix issue where fastresume files would be rejected when using FAT32.  This
    would cause the torrent to be rechecked on every startup.
  * Fix ip filtering

==== GtkUI ====
  * Re-add the "Max Connections Per Second" option with a default setting of 20

==== WebUI ====
  * Fix White template for Opera

==== Misc ====
  * Deluge will now use a system libtorrent library if available.
  * The build system will no longer build libtorrent if a system library is
    detected.

=== Deluge 1.0.2 (10 October 2008) ===
==== Core ====
  * Fix issue where torrents will not be properly added to the session

=== Deluge 1.0.1 (10 October 2008) ===
==== Core ====
  * Change the default max global upload slots to 4 instead of -1 since libtorrent
    will automatically open more slots to meet the upload speed limit.
  * Fix display of tracker error messages
  * Fix add_torrent_url() to download the torrent file in a thread to prevent
    the main thread from blocking and causing the daemon to freeze.
  * Removed the 'Maximum Connections Per Second' setting and replaced it with a
    default setting of 20.  This should alleviate speed issues some are experiencing.
  * Changed max half-open connections default limit to 8 on XP/2000 and 4 on Vista
  * Prevent being able to set file priorities for compactly allocated torrents as
    it is not intended to work.
  * Fix freezing on start-up issues on systems that do not have a properly
    configured localhost entry.
  * Change max connections default setting to 200
  * Fix issue with invalid bencoding from some trackers
  * Plenty of libtorrent updates that should improve core stability

==== GtkUI ====
  * Improve performance of files tab by only updating when values change

==== Misc ====
  * Fix #187 set a 5 second timer to save the config file after a config value
    has been changed.
  * Fix #503 change the boost lib detection logic to first look for -mt and
    if not available, fall back to regular boost lib (non-multithreaded)

==== WebUI ====
  * Add enable "Auto Add" checkbox

=== Deluge 1.0.0 - "Sharks Are Bulletproof" (21 September 2008) ===
==== Core ====
  * Include GeoIP database for country look-ups
  * Fix upgrading from 0.5.x state where torrents would have no trackers

=== Deluge 0.9.09 - "1.0.0_RC9" (15 September 2008) ===
==== Core ====
  * Bug fixes in libtorrent including a crash when the tracker doesn't
    have 'announce' in it's url.
  * Fix fastresume issue causing loss of data by deleting the fastresume file
    before writing a new one
  * Fix #475 the use of unicode paths when adding torrents

==== GtkUI ====
  * Fix add torrent dialog closing preventing another dialog from being shown
  * Fix various issues when not using English
  * Fix setting file priorities on folders

=== Deluge 0.9.08 - "1.0.0_RC8" (27 August 2008) ===
==== Core ====
  * Attempt to automatically upgrade a 0.5.x state file to new format
  * Tracker errors now change the tracker status

==== Plugins ====
  * Fix bug in Blocklist that prevented downloading a new file every X days

==== GtkUI ====
  * Sort filenames alphabetically in add torrent dialog
  * Fix setting file priorities on folders
  * Fix #453 allow showing of text in the toolbar buttons

=== Deluge 0.9.07 - "1.0.0_RC7" (18 August 2008) ===
==== Core ====
  * Fix loading torrents from state when fastresume file is missing
  * Fix UPnP
  * Fix to prevent Deluge from segfaulting when trying to autoadd an incomplete torrent file
  * Fix #407 possible negative ETA

==== GtkUI ====
  * Add 'edit' to edit trackers dialog
  * Improve performance of initial torrent list load
  * Fix hiding the bottom pane when disabling all the tabs
  * Fix not showing new torrents if you don't use the All label first
  * Fix size units to be more accurate
  * Fix torrentview sorting to be persistent
  * Fix not displaying file list when state changes
  * Expand root folder in files tab by default

==== Null ====
  * Fix #415 crash when using 'config-set' with no parameters

==== Windows ====
  * Fix Vista slowness issue
  * Fix properly shutting Deluge down when system shuts down
  * Fix opening folders/files

=== Deluge 0.9.06 - "1.0.0_RC6" (13 August 2008) ===
==== Core ====
  * Fix CPU spikes

==== GtkUI ====
  * Fix move storage dialog when connected to a remote daemon

=== Deluge 0.9.05 - "1.0.0_RC5" (04 August 2008) ===
==== Core ====
  * Fix deluged running with ssh X forwarding by removing the Gnome lib import
  * Save resume data periodically to help prevent data loss
  * Fix queue order shuffling on restart

==== GtkUI ====
  * Handle shutting down more cleanly
  * Add translators to credits

==== Plugins ====
  * Improve the Blocklist plugin preferences page.

==== Windows ====
  * Fix drag n' drop support

=== Deluge 0.9.04 - "1.0.0_RC4" (29 July 2008) ===
==== Core ====
  * Fix building with gcc 4.3
  * Fix do not create torrentfiles folder unless 'copy_torrent_file' is True

==== GtkUI ====
  * Add drag n' drop support for adding .torrent files
  * Double-clicking on host in Connection Manager now will connect to that host
  * Fix selecting torrents when right-clicking on them in torrentview and filestab
  * Fix new release check
  * Display 'total_wanted' instead of 'total_size' in Size column
  * Fix displaying of torrents when language is not English
  * Fix the view options to be persistent between sessions
  * Fix signalreceiver when switching between daemons

=== Deluge 0.9.03 - "1.0.0_RC3" (21 July 2008) ===
==== Core ====
  * File progress fixes from libtorrent
  * Fix building on FreeBSD
  * Fix #350 stop seeds when stop ratio is reached
  * Fix #358 properly emit torrent_removed signal when remove_at_ratio happens

==== UI ====
  * Default to gtkui when running 'deluge' instead of defaulting to last used.

==== GtkUI ====
  * Fix open folder
  * Fix #349 tab ordering when hiding/showing

==== Windows ====
  * Fix torrent file association and adding files from command line

==== Plugins ====
  * Blocklist plugin has been rewritten

==== Misc ====
  * Some changes for python 2.6 compatibility

=== Deluge 0.9.02 - "1.0.0_RC2" (15 July 2008) ===
==== Core ====
  * Fix displaying of file progress
  * Fix files to have proper read/write permissions

==== WebUI ====
  * Include missing 'classic' template
  * Update options tab to include queue settings

==== Windows ====
  * Fix displaying of tray icon
  * Fix scrolling of tray menu
  * Fix hiding of tray icon when shutting down
  * Fix tray icon tool tip length to show properly
